> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a secret finding



## OpenAPI

````yaml /openapi.json get /v1/security/repositories/{repository_id}/secrets/{finding_id}
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/security/repositories/{repository_id}/secrets/{finding_id}:
    get:
      tags:
        - Security
      summary: Read a secret finding
      operationId: get_security_secret_finding
      parameters:
        - name: repository_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: finding_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  repoId:
                    type: string
                  repoName:
                    type: string
                  commitSha:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  isCurrentCommit:
                    type: boolean
                  filePath:
                    type: string
                  startLine:
                    type: number
                  endLine:
                    type: number
                  ruleId:
                    type: string
                  description:
                    type: string
                  recommendation:
                    type: string
                  confidence:
                    type: string
                  verificationStatus:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  displayType:
                    type: string
                  state:
                    type: string
                    enum:
                      - open
                      - fixed
                      - dismissed
                  detectedAt:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  fixStatus:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  fixTaskId:
                    type: string
                  fixPrUrl:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  fixError:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                  secretAssessment:
                    type: object
                    properties:
                      policyVersion:
                        enum:
                          - '2026-10-01'
                      verification:
                        enum:
                          - valid
                          - needs_validation
                          - invalid
                          - revoked
                          - unknown
                          - error
                        type: string
                      detectors:
                        type: array
                        maxItems: 100
                        items:
                          type: string
                          maxLength: 120
                      relatedLocations:
                        type: array
                        maxItems: 100
                        items:
                          type: object
                          properties:
                            file:
                              type: string
                              maxLength: 4096
                            startLine:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                              exclusiveMinimum: true
                            endLine:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                              exclusiveMinimum: true
                          required:
                            - file
                            - startLine
                            - endLine
                      status:
                        enum:
                          - assessed
                          - unassessed
                        type: string
                      classification:
                        enum:
                          - public_config
                          - synthetic_fixture
                          - private_credential
                          - non_credential
                          - uncertain
                        type: string
                      confidence:
                        enum:
                          - high
                          - medium
                          - low
                        type: string
                      environment:
                        enum:
                          - production
                          - sandbox
                          - unknown
                        type: string
                      impact:
                        enum:
                          - privileged_access
                          - limited_service
                          - unknown
                        type: string
                      reason:
                        enum:
                          - public_provider_role
                          - synthetic_value
                          - private_provider_role
                          - private_key_material
                          - authentication_usage
                          - not_authentication_material
                          - insufficient_context
                          - conflicting_evidence
                        type: string
                      missingEvidence:
                        type: array
                        maxItems: 5
                        items:
                          enum:
                            - usage
                            - provider_role
                            - environment
                            - permissions
                            - complete_value
                          type: string
                    required:
                      - policyVersion
                      - status
                      - classification
                      - confidence
                      - environment
                      - impact
                      - reason
                      - missingEvidence
                required:
                  - id
                  - repoId
                  - repoName
                  - commitSha
                  - isCurrentCommit
                  - filePath
                  - startLine
                  - endLine
                  - ruleId
                  - description
                  - recommendation
                  - confidence
                  - verificationStatus
                  - displayType
                  - state
                  - detectedAt
                  - fixStatus
                  - fixPrUrl
                  - fixError
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.